Index: /trunk/doc/Flair/navtreeindex4.js
===================================================================
--- /trunk/doc/Flair/navtreeindex4.js	(revision 34)
+++ /trunk/doc/Flair/navtreeindex4.js	(revision 35)
@@ -1,4 +1,6 @@
 var NAVTREEINDEX4 =
 {
+"classflair_1_1gui_1_1_combo_box.html":[1,0,0,3,2],
+"classflair_1_1gui_1_1_combo_box.html#a246d05c02961be9b6c5a6daf91b58040":[1,0,0,3,2,3],
 "classflair_1_1gui_1_1_combo_box.html#a28c0ddd20a867c6dfb168da0d1bb39ec":[1,0,0,3,2,0],
 "classflair_1_1gui_1_1_combo_box.html#a29815ad9231ddde5acf6d70468da38fa":[1,0,0,3,2,2],
@@ -53,66 +55,72 @@
 "classflair_1_1gui_1_1_layout_position.html#abfff9b4fd6670430e8bd94440370ee49":[1,0,0,3,11,1],
 "classflair_1_1gui_1_1_layout_position.html#ac47a69e6867c7a39e9cb91d4adc7ca7c":[1,0,0,3,11,0],
-"classflair_1_1gui_1_1_map.html":[1,0,0,3,12],
-"classflair_1_1gui_1_1_map.html#a0ba61b1b5046688eb8cdbedde133fe58":[1,0,0,3,12,3],
-"classflair_1_1gui_1_1_map.html#a75ade537dbc927b733ef14cdbf5a8953":[1,0,0,3,12,0],
-"classflair_1_1gui_1_1_map.html#a8657888f3bdd7df3a96e89e9f25a9977":[1,0,0,3,12,2],
-"classflair_1_1gui_1_1_map.html#aa21f6a304ba8a128ae30db59612c95c7":[1,0,0,3,12,1],
-"classflair_1_1gui_1_1_picture.html":[1,0,0,3,13],
-"classflair_1_1gui_1_1_picture.html#a5ecfd08606abd0556c1b9d4063d98f02":[1,0,0,3,13,1],
-"classflair_1_1gui_1_1_picture.html#a6ee56525b149244b23bf84a3bf224124":[1,0,0,3,13,0],
-"classflair_1_1gui_1_1_push_button.html":[1,0,0,3,14],
-"classflair_1_1gui_1_1_push_button.html#a347daa56dc5ad2cc395cf5d65a7ff843":[1,0,0,3,14,2],
-"classflair_1_1gui_1_1_push_button.html#a3b9f0d50b3e4872a950f0ec829a6a642":[1,0,0,3,14,1],
-"classflair_1_1gui_1_1_push_button.html#a5609fce99b4f89e131f5d61f46c0a0cf":[1,0,0,3,14,0],
-"classflair_1_1gui_1_1_range_finder_plot.html":[1,0,0,3,15],
-"classflair_1_1gui_1_1_range_finder_plot.html#ab793e96b2da92a3ad8de4a970f0f9f9a":[1,0,0,3,15,1],
-"classflair_1_1gui_1_1_range_finder_plot.html#ad9e74692b943e04998870a22b4931773":[1,0,0,3,15,0],
-"classflair_1_1gui_1_1_send_data.html":[1,0,0,3,16],
-"classflair_1_1gui_1_1_send_data.html#a0e325dd4651da3a0e98e62548025eeb1":[1,0,0,3,16,6],
-"classflair_1_1gui_1_1_send_data.html#a1675db79b0732ecfecc7979694a9e1fa":[1,0,0,3,16,4],
-"classflair_1_1gui_1_1_send_data.html#a46f71c4ca8a656c99595072ce3bbd59f":[1,0,0,3,16,5],
-"classflair_1_1gui_1_1_send_data.html#a586331adf0774b18830b4b5ca29fe55f":[1,0,0,3,16,1],
-"classflair_1_1gui_1_1_send_data.html#a9a5563472ae7457e2495e4fc2a299330":[1,0,0,3,16,7],
-"classflair_1_1gui_1_1_send_data.html#aa04532b4ace577ee66a143fd25cea981":[1,0,0,3,16,0],
-"classflair_1_1gui_1_1_send_data.html#aa3033561c5179161f1ad55f1fc685147":[1,0,0,3,16,3],
-"classflair_1_1gui_1_1_send_data.html#aac3294aeba6bc94162bc8a2c2da9decb":[1,0,0,3,16,2],
-"classflair_1_1gui_1_1_spin_box.html":[1,0,0,3,17],
-"classflair_1_1gui_1_1_spin_box.html#a3164534ab209d31215224865d276e139":[1,0,0,3,17,0],
-"classflair_1_1gui_1_1_spin_box.html#a64182fc99a1d96d8f86679a568c50f9b":[1,0,0,3,17,2],
-"classflair_1_1gui_1_1_spin_box.html#a782c198e37c84652f7b001847a360d2c":[1,0,0,3,17,3],
-"classflair_1_1gui_1_1_spin_box.html#a92f63c84f17ab71d508e40ef5bd88818":[1,0,0,3,17,1],
-"classflair_1_1gui_1_1_tab.html":[1,0,0,3,18],
-"classflair_1_1gui_1_1_tab.html#a4cd3735aeaf7267742d8de5505802429":[1,0,0,3,18,0],
-"classflair_1_1gui_1_1_tab.html#ac763e0eaa0661123e98d3cbe897c08dc":[1,0,0,3,18,1],
-"classflair_1_1gui_1_1_tab_widget.html":[1,0,0,3,19],
-"classflair_1_1gui_1_1_tab_widget.html#a3ec070a09776327645852225989ba31b":[1,0,0,3,19,0],
-"classflair_1_1gui_1_1_tab_widget.html#a3ec070a09776327645852225989ba31ba3fa0a5839833277137243784633a4ad9":[1,0,0,3,19,0,3],
-"classflair_1_1gui_1_1_tab_widget.html#a3ec070a09776327645852225989ba31ba684068cc3fc6e852ec3795f0c04822b1":[1,0,0,3,19,0,2],
-"classflair_1_1gui_1_1_tab_widget.html#a3ec070a09776327645852225989ba31bacce1b78c96723b678957942a3a8ceaa1":[1,0,0,3,19,0,1],
-"classflair_1_1gui_1_1_tab_widget.html#a3ec070a09776327645852225989ba31baf909a09a5e3f5713ff5c4db1ad40166f":[1,0,0,3,19,0,0],
-"classflair_1_1gui_1_1_tab_widget.html#a6d0fb8dbd74ecbc23eb727470824a993":[1,0,0,3,19,2],
-"classflair_1_1gui_1_1_tab_widget.html#abcffcee3606a33cecabb20a8c1de4a40":[1,0,0,3,19,1],
-"classflair_1_1gui_1_1_text_edit.html":[1,0,0,3,20],
-"classflair_1_1gui_1_1_text_edit.html#a0e4784ae0cfec8717ab9c9200c994539":[1,0,0,3,20,1],
-"classflair_1_1gui_1_1_text_edit.html#a2533406d939baf5c858a521d31b4ff78":[1,0,0,3,20,2],
-"classflair_1_1gui_1_1_text_edit.html#acfd19e80797f61337a769ccc642d18fa":[1,0,0,3,20,0],
-"classflair_1_1gui_1_1_vector3_d_spin_box.html":[1,0,0,3,21],
-"classflair_1_1gui_1_1_vector3_d_spin_box.html#a0275f20370fe116d21311d4ce06fb67c":[1,0,0,3,21,0],
-"classflair_1_1gui_1_1_vector3_d_spin_box.html#a46615af09df922bb839f043542c4693c":[1,0,0,3,21,2],
-"classflair_1_1gui_1_1_vector3_d_spin_box.html#aa515751c54ff8fd98cca84f4c374929b":[1,0,0,3,21,1],
-"classflair_1_1gui_1_1_widget.html":[1,0,0,3,22],
-"classflair_1_1gui_1_1_widget.html#a0e81847db5a84b2e7e26545c9b1b704f":[1,0,0,3,22,4],
-"classflair_1_1gui_1_1_widget.html#a299877c38b297ada04542e4dfc5a2f4f":[1,0,0,3,22,3],
-"classflair_1_1gui_1_1_widget.html#a2a6f0753cfcbf314ad7fa952bfe9bc67":[1,0,0,3,22,11],
-"classflair_1_1gui_1_1_widget.html#a6404c7f474be994ec4e72a97e45dfffa":[1,0,0,3,22,5],
-"classflair_1_1gui_1_1_widget.html#a7b867cc6c603cbc5e5a2f39f083a9494":[1,0,0,3,22,0],
-"classflair_1_1gui_1_1_widget.html#a81110928e09e909dc1cc90971de4e8a9":[1,0,0,3,22,1],
-"classflair_1_1gui_1_1_widget.html#a814a933622114ad9c8f5d49014262d89":[1,0,0,3,22,2],
-"classflair_1_1gui_1_1_widget.html#a85f53b6422522c0e6d8c02a3fda425e8":[1,0,0,3,22,12],
-"classflair_1_1gui_1_1_widget.html#a92d4e0613146c9b348b388f3f75cca9e":[1,0,0,3,22,8],
-"classflair_1_1gui_1_1_widget.html#a9ba37bd7fad0f4a97175d922b93b5434":[1,0,0,3,22,9],
-"classflair_1_1gui_1_1_widget.html#abe5ab96255919238138527c92fbeb6d8":[1,0,0,3,22,6],
-"classflair_1_1gui_1_1_widget.html#ac80f72906580f269b5881c1ef0b35afb":[1,0,0,3,22,7],
-"classflair_1_1gui_1_1_widget.html#ae9d4248776523b22e3242651bcee4557":[1,0,0,3,22,10],
+"classflair_1_1gui_1_1_list_widget.html":[1,0,0,3,12],
+"classflair_1_1gui_1_1_list_widget.html#a32112ea3ed82e77ab7d4f5c820fc6e84":[1,0,0,3,12,2],
+"classflair_1_1gui_1_1_list_widget.html#a6f5451a9f91d52ddfb9be31b8e639c2e":[1,0,0,3,12,3],
+"classflair_1_1gui_1_1_list_widget.html#a91ec3725c2fa7f5a395c17cb8ab4bd73":[1,0,0,3,12,1],
+"classflair_1_1gui_1_1_list_widget.html#a9aeccbc67ce30c2560916fde4c43821f":[1,0,0,3,12,0],
+"classflair_1_1gui_1_1_list_widget.html#af1db1ef8dc098e2f02e708fb4edbe934":[1,0,0,3,12,4],
+"classflair_1_1gui_1_1_map.html":[1,0,0,3,13],
+"classflair_1_1gui_1_1_map.html#a0ba61b1b5046688eb8cdbedde133fe58":[1,0,0,3,13,3],
+"classflair_1_1gui_1_1_map.html#a75ade537dbc927b733ef14cdbf5a8953":[1,0,0,3,13,0],
+"classflair_1_1gui_1_1_map.html#a8657888f3bdd7df3a96e89e9f25a9977":[1,0,0,3,13,2],
+"classflair_1_1gui_1_1_map.html#aa21f6a304ba8a128ae30db59612c95c7":[1,0,0,3,13,1],
+"classflair_1_1gui_1_1_picture.html":[1,0,0,3,14],
+"classflair_1_1gui_1_1_picture.html#a5ecfd08606abd0556c1b9d4063d98f02":[1,0,0,3,14,1],
+"classflair_1_1gui_1_1_picture.html#a6ee56525b149244b23bf84a3bf224124":[1,0,0,3,14,0],
+"classflair_1_1gui_1_1_push_button.html":[1,0,0,3,15],
+"classflair_1_1gui_1_1_push_button.html#a347daa56dc5ad2cc395cf5d65a7ff843":[1,0,0,3,15,2],
+"classflair_1_1gui_1_1_push_button.html#a3b9f0d50b3e4872a950f0ec829a6a642":[1,0,0,3,15,1],
+"classflair_1_1gui_1_1_push_button.html#a5609fce99b4f89e131f5d61f46c0a0cf":[1,0,0,3,15,0],
+"classflair_1_1gui_1_1_range_finder_plot.html":[1,0,0,3,16],
+"classflair_1_1gui_1_1_range_finder_plot.html#ab793e96b2da92a3ad8de4a970f0f9f9a":[1,0,0,3,16,1],
+"classflair_1_1gui_1_1_range_finder_plot.html#ad9e74692b943e04998870a22b4931773":[1,0,0,3,16,0],
+"classflair_1_1gui_1_1_send_data.html":[1,0,0,3,17],
+"classflair_1_1gui_1_1_send_data.html#a0e325dd4651da3a0e98e62548025eeb1":[1,0,0,3,17,6],
+"classflair_1_1gui_1_1_send_data.html#a1675db79b0732ecfecc7979694a9e1fa":[1,0,0,3,17,4],
+"classflair_1_1gui_1_1_send_data.html#a46f71c4ca8a656c99595072ce3bbd59f":[1,0,0,3,17,5],
+"classflair_1_1gui_1_1_send_data.html#a586331adf0774b18830b4b5ca29fe55f":[1,0,0,3,17,1],
+"classflair_1_1gui_1_1_send_data.html#a9a5563472ae7457e2495e4fc2a299330":[1,0,0,3,17,7],
+"classflair_1_1gui_1_1_send_data.html#aa04532b4ace577ee66a143fd25cea981":[1,0,0,3,17,0],
+"classflair_1_1gui_1_1_send_data.html#aa3033561c5179161f1ad55f1fc685147":[1,0,0,3,17,3],
+"classflair_1_1gui_1_1_send_data.html#aac3294aeba6bc94162bc8a2c2da9decb":[1,0,0,3,17,2],
+"classflair_1_1gui_1_1_spin_box.html":[1,0,0,3,18],
+"classflair_1_1gui_1_1_spin_box.html#a3164534ab209d31215224865d276e139":[1,0,0,3,18,0],
+"classflair_1_1gui_1_1_spin_box.html#a64182fc99a1d96d8f86679a568c50f9b":[1,0,0,3,18,2],
+"classflair_1_1gui_1_1_spin_box.html#a782c198e37c84652f7b001847a360d2c":[1,0,0,3,18,3],
+"classflair_1_1gui_1_1_spin_box.html#a92f63c84f17ab71d508e40ef5bd88818":[1,0,0,3,18,1],
+"classflair_1_1gui_1_1_tab.html":[1,0,0,3,19],
+"classflair_1_1gui_1_1_tab.html#a4cd3735aeaf7267742d8de5505802429":[1,0,0,3,19,0],
+"classflair_1_1gui_1_1_tab.html#ac763e0eaa0661123e98d3cbe897c08dc":[1,0,0,3,19,1],
+"classflair_1_1gui_1_1_tab_widget.html":[1,0,0,3,20],
+"classflair_1_1gui_1_1_tab_widget.html#a3ec070a09776327645852225989ba31b":[1,0,0,3,20,0],
+"classflair_1_1gui_1_1_tab_widget.html#a3ec070a09776327645852225989ba31ba3fa0a5839833277137243784633a4ad9":[1,0,0,3,20,0,3],
+"classflair_1_1gui_1_1_tab_widget.html#a3ec070a09776327645852225989ba31ba684068cc3fc6e852ec3795f0c04822b1":[1,0,0,3,20,0,2],
+"classflair_1_1gui_1_1_tab_widget.html#a3ec070a09776327645852225989ba31bacce1b78c96723b678957942a3a8ceaa1":[1,0,0,3,20,0,1],
+"classflair_1_1gui_1_1_tab_widget.html#a3ec070a09776327645852225989ba31baf909a09a5e3f5713ff5c4db1ad40166f":[1,0,0,3,20,0,0],
+"classflair_1_1gui_1_1_tab_widget.html#a6d0fb8dbd74ecbc23eb727470824a993":[1,0,0,3,20,2],
+"classflair_1_1gui_1_1_tab_widget.html#abcffcee3606a33cecabb20a8c1de4a40":[1,0,0,3,20,1],
+"classflair_1_1gui_1_1_text_edit.html":[1,0,0,3,21],
+"classflair_1_1gui_1_1_text_edit.html#a0e4784ae0cfec8717ab9c9200c994539":[1,0,0,3,21,1],
+"classflair_1_1gui_1_1_text_edit.html#a2533406d939baf5c858a521d31b4ff78":[1,0,0,3,21,2],
+"classflair_1_1gui_1_1_text_edit.html#acfd19e80797f61337a769ccc642d18fa":[1,0,0,3,21,0],
+"classflair_1_1gui_1_1_vector3_d_spin_box.html":[1,0,0,3,22],
+"classflair_1_1gui_1_1_vector3_d_spin_box.html#a0275f20370fe116d21311d4ce06fb67c":[1,0,0,3,22,0],
+"classflair_1_1gui_1_1_vector3_d_spin_box.html#a46615af09df922bb839f043542c4693c":[1,0,0,3,22,2],
+"classflair_1_1gui_1_1_vector3_d_spin_box.html#aa515751c54ff8fd98cca84f4c374929b":[1,0,0,3,22,1],
+"classflair_1_1gui_1_1_widget.html":[1,0,0,3,23],
+"classflair_1_1gui_1_1_widget.html#a0e81847db5a84b2e7e26545c9b1b704f":[1,0,0,3,23,4],
+"classflair_1_1gui_1_1_widget.html#a299877c38b297ada04542e4dfc5a2f4f":[1,0,0,3,23,3],
+"classflair_1_1gui_1_1_widget.html#a2a6f0753cfcbf314ad7fa952bfe9bc67":[1,0,0,3,23,11],
+"classflair_1_1gui_1_1_widget.html#a6404c7f474be994ec4e72a97e45dfffa":[1,0,0,3,23,5],
+"classflair_1_1gui_1_1_widget.html#a7b867cc6c603cbc5e5a2f39f083a9494":[1,0,0,3,23,0],
+"classflair_1_1gui_1_1_widget.html#a81110928e09e909dc1cc90971de4e8a9":[1,0,0,3,23,1],
+"classflair_1_1gui_1_1_widget.html#a814a933622114ad9c8f5d49014262d89":[1,0,0,3,23,2],
+"classflair_1_1gui_1_1_widget.html#a85f53b6422522c0e6d8c02a3fda425e8":[1,0,0,3,23,12],
+"classflair_1_1gui_1_1_widget.html#a92d4e0613146c9b348b388f3f75cca9e":[1,0,0,3,23,8],
+"classflair_1_1gui_1_1_widget.html#a9ba37bd7fad0f4a97175d922b93b5434":[1,0,0,3,23,9],
+"classflair_1_1gui_1_1_widget.html#abe5ab96255919238138527c92fbeb6d8":[1,0,0,3,23,6],
+"classflair_1_1gui_1_1_widget.html#ac80f72906580f269b5881c1ef0b35afb":[1,0,0,3,23,7],
+"classflair_1_1gui_1_1_widget.html#ae9d4248776523b22e3242651bcee4557":[1,0,0,3,23,10],
 "classflair_1_1meta_1_1_hds_x8.html":[1,0,0,4,0],
 "classflair_1_1meta_1_1_hds_x8.html#ac64a8cb838c09d0b6489ccc37767d5c5":[1,0,0,4,0,1],
@@ -242,12 +250,4 @@
 "classflair_1_1meta_1_1_uav_state_machine.html#ab737f2861d5c1901a0f62f54fe2c0855":[1,0,0,4,7,42],
 "classflair_1_1meta_1_1_uav_state_machine.html#ac335dfcc3c91af9e59dc10d88c1da04f":[1,0,0,4,7,26],
-"classflair_1_1meta_1_1_uav_state_machine.html#ac93d0d595a86a014c27375c973f693a8":[1,0,0,4,7,39],
-"classflair_1_1meta_1_1_uav_state_machine.html#acb613e16c489a521c664817ef74f00d9":[1,0,0,4,7,36],
-"classflair_1_1meta_1_1_uav_state_machine.html#acd12763a492e5d257da5ce1370a6d560":[1,0,0,4,7,29],
-"classflair_1_1meta_1_1_uav_state_machine.html#ae053854466a1dbd5d88fe25ec7111731":[1,0,0,4,7,2],
-"classflair_1_1meta_1_1_uav_state_machine.html#ae053854466a1dbd5d88fe25ec7111731a7a1920d61156abc05a60135aefe8bc67":[1,0,0,4,7,2,0],
-"classflair_1_1meta_1_1_uav_state_machine.html#ae053854466a1dbd5d88fe25ec7111731a90589c47f06eb971d548591f23c285af":[1,0,0,4,7,2,1],
-"classflair_1_1meta_1_1_uav_state_machine.html#ae632fa95dfbd03b2459390c0aa97b7c4":[1,0,0,4,7,16],
-"classflair_1_1meta_1_1_uav_state_machine.html#af220209a381133ba7896a29ee0149f25":[1,0,0,4,7,6],
-"classflair_1_1meta_1_1_uav_state_machine.html#af61a3a807c656973d67f51630019310e":[1,0,0,4,7,24]
+"classflair_1_1meta_1_1_uav_state_machine.html#ac93d0d595a86a014c27375c973f693a8":[1,0,0,4,7,39]
 };
Index: /trunk/doc/Flair/navtreeindex5.js
===================================================================
--- /trunk/doc/Flair/navtreeindex5.js	(revision 34)
+++ /trunk/doc/Flair/navtreeindex5.js	(revision 35)
@@ -1,4 +1,12 @@
 var NAVTREEINDEX5 =
 {
+"classflair_1_1meta_1_1_uav_state_machine.html#acb613e16c489a521c664817ef74f00d9":[1,0,0,4,7,36],
+"classflair_1_1meta_1_1_uav_state_machine.html#acd12763a492e5d257da5ce1370a6d560":[1,0,0,4,7,29],
+"classflair_1_1meta_1_1_uav_state_machine.html#ae053854466a1dbd5d88fe25ec7111731":[1,0,0,4,7,2],
+"classflair_1_1meta_1_1_uav_state_machine.html#ae053854466a1dbd5d88fe25ec7111731a7a1920d61156abc05a60135aefe8bc67":[1,0,0,4,7,2,0],
+"classflair_1_1meta_1_1_uav_state_machine.html#ae053854466a1dbd5d88fe25ec7111731a90589c47f06eb971d548591f23c285af":[1,0,0,4,7,2,1],
+"classflair_1_1meta_1_1_uav_state_machine.html#ae632fa95dfbd03b2459390c0aa97b7c4":[1,0,0,4,7,16],
+"classflair_1_1meta_1_1_uav_state_machine.html#af220209a381133ba7896a29ee0149f25":[1,0,0,4,7,6],
+"classflair_1_1meta_1_1_uav_state_machine.html#af61a3a807c656973d67f51630019310e":[1,0,0,4,7,24],
 "classflair_1_1meta_1_1_x_air.html":[1,0,0,4,8],
 "classflair_1_1meta_1_1_x_air.html#a42374387735247add58968b985d7cd5a":[1,0,0,4,8,1],
@@ -242,12 +250,4 @@
 "classflair_1_1sensor_1_1_target_controller.html#a755c01ac4c8596e94310b5d61356be0c":[1,0,0,5,26,4],
 "classflair_1_1sensor_1_1_target_controller.html#a7e31696d48fe6b2fe7bdf44fad3b4d48":[1,0,0,5,26,0],
-"classflair_1_1sensor_1_1_target_controller.html#a8769ff6c7f3887a9bc0f8215f0a76a14":[1,0,0,5,26,5],
-"classflair_1_1sensor_1_1_target_controller.html#a8aa84807cf224d3af89ee8af0355992c":[1,0,0,5,26,19],
-"classflair_1_1sensor_1_1_target_controller.html#a8f79eb9486927826a85a4ca3eb61ac37":[1,0,0,5,26,9],
-"classflair_1_1sensor_1_1_target_controller.html#a8f8f4f2999610d3471939028e62ae38f":[1,0,0,5,26,23],
-"classflair_1_1sensor_1_1_target_controller.html#aacd8adc6f113fa88cad434cd26bacd2e":[1,0,0,5,26,10],
-"classflair_1_1sensor_1_1_target_controller.html#ab882d1b43a3d2ea0c60fbe95f53d5b1b":[1,0,0,5,26,8],
-"classflair_1_1sensor_1_1_target_controller.html#ac3ce201706dacaa107f59697a48dded1":[1,0,0,5,26,6],
-"classflair_1_1sensor_1_1_target_controller.html#ad224c144a6207dbcc8b8160a34b8aa4b":[1,0,0,5,26,13],
-"classflair_1_1sensor_1_1_target_controller.html#af7f9a61889cd8ebe05074e977b15d68f":[1,0,0,5,26,1]
+"classflair_1_1sensor_1_1_target_controller.html#a8769ff6c7f3887a9bc0f8215f0a76a14":[1,0,0,5,26,5]
 };
Index: /trunk/doc/Flair/navtreeindex6.js
===================================================================
--- /trunk/doc/Flair/navtreeindex6.js	(revision 34)
+++ /trunk/doc/Flair/navtreeindex6.js	(revision 35)
@@ -1,4 +1,12 @@
 var NAVTREEINDEX6 =
 {
+"classflair_1_1sensor_1_1_target_controller.html#a8aa84807cf224d3af89ee8af0355992c":[1,0,0,5,26,19],
+"classflair_1_1sensor_1_1_target_controller.html#a8f79eb9486927826a85a4ca3eb61ac37":[1,0,0,5,26,9],
+"classflair_1_1sensor_1_1_target_controller.html#a8f8f4f2999610d3471939028e62ae38f":[1,0,0,5,26,23],
+"classflair_1_1sensor_1_1_target_controller.html#aacd8adc6f113fa88cad434cd26bacd2e":[1,0,0,5,26,10],
+"classflair_1_1sensor_1_1_target_controller.html#ab882d1b43a3d2ea0c60fbe95f53d5b1b":[1,0,0,5,26,8],
+"classflair_1_1sensor_1_1_target_controller.html#ac3ce201706dacaa107f59697a48dded1":[1,0,0,5,26,6],
+"classflair_1_1sensor_1_1_target_controller.html#ad224c144a6207dbcc8b8160a34b8aa4b":[1,0,0,5,26,13],
+"classflair_1_1sensor_1_1_target_controller.html#af7f9a61889cd8ebe05074e977b15d68f":[1,0,0,5,26,1],
 "classflair_1_1sensor_1_1_target_controller.html#afa9256a134754f3cd321009f0c721e4f":[1,0,0,5,26,7],
 "classflair_1_1sensor_1_1_target_controller.html#afce7c1aafc6e9411a495c7b4ef011eed":[1,0,0,5,26,26],
@@ -171,6 +179,6 @@
 "functions_eval.html":[1,3,4],
 "functions_f.html":[1,3,0,5],
+"functions_func.html":[1,3,1,0],
 "functions_func.html":[1,3,1],
-"functions_func.html":[1,3,1,0],
 "functions_func_b.html":[1,3,1,1],
 "functions_func_c.html":[1,3,1,2],
@@ -238,16 +246,8 @@
 "namespaceflair_1_1filter.html":[0,0,0,2],
 "namespaceflair_1_1filter.html":[1,0,0,2],
+"namespaceflair_1_1gui.html":[0,0,0,3],
 "namespaceflair_1_1gui.html":[1,0,0,3],
-"namespaceflair_1_1gui.html":[0,0,0,3],
 "namespaceflair_1_1meta.html":[0,0,0,4],
 "namespaceflair_1_1meta.html":[1,0,0,4],
-"namespaceflair_1_1sensor.html":[1,0,0,5],
-"namespaceflair_1_1sensor.html":[0,0,0,5],
-"namespaceflair_1_1simulator.html":[1,0,0,6],
-"namespaceflair_1_1simulator.html":[0,0,0,6],
-"namespacemembers.html":[0,1,0],
-"namespacemembers_func.html":[0,1,1],
-"namespacemembers_type.html":[0,1,2],
-"namespaces.html":[0,0],
-"pages.html":[]
+"namespaceflair_1_1sensor.html":[1,0,0,5]
 };
Index: /trunk/doc/Flair/navtreeindex7.js
===================================================================
--- /trunk/doc/Flair/navtreeindex7.js	(revision 34)
+++ /trunk/doc/Flair/navtreeindex7.js	(revision 35)
@@ -1,4 +1,12 @@
 var NAVTREEINDEX7 =
 {
+"namespaceflair_1_1sensor.html":[0,0,0,5],
+"namespaceflair_1_1simulator.html":[0,0,0,6],
+"namespaceflair_1_1simulator.html":[1,0,0,6],
+"namespacemembers.html":[0,1,0],
+"namespacemembers_func.html":[0,1,1],
+"namespacemembers_type.html":[0,1,2],
+"namespaces.html":[0,0],
+"pages.html":[],
 "structflair_1_1simulator_1_1_model_1_1simu__state.html":[1,0,0,6,7,0],
 "structflair_1_1simulator_1_1_model_1_1simu__state.html#a157ca0ecf4c744e44c3968a28c21f908":[1,0,0,6,7,0,1],
Index: /trunk/doc/Flair/search/all_18.js
===================================================================
--- /trunk/doc/Flair/search/all_18.js	(revision 34)
+++ /trunk/doc/Flair/search/all_18.js	(revision 35)
@@ -13,5 +13,5 @@
   ['yearshown',['yearShown',['http://qt-project.org/doc/qt-4.8/qcalendarwidget.html#yearShown',0,'QCalendarWidget']]],
   ['yelement',['YElement',['../classflair_1_1core_1_1_vector3_ddata.html#a384d76d6e676ae8d0c231f9d2e27b460',1,'flair::core::Vector3Ddata']]],
-  ['yellow',['yellow',['http://qt-project.org/doc/qt-4.8/qcolor.html#yellow',0,'QColor::yellow()'],['../classflair_1_1gui_1_1_data_plot.html#a0e106271554ff92ebeb94d22014f037ea8369a2a569c95d6c7e15632a6e4d3998',1,'flair::gui::DataPlot::Yellow()']]],
+  ['yellow',['Yellow',['../classflair_1_1gui_1_1_data_plot.html#a0e106271554ff92ebeb94d22014f037ea8369a2a569c95d6c7e15632a6e4d3998',1,'flair::gui::DataPlot::Yellow()'],['http://qt-project.org/doc/qt-4.8/qcolor.html#yellow',0,'QColor::yellow()']]],
   ['yellowf',['yellowF',['http://qt-project.org/doc/qt-4.8/qcolor.html#yellowF',0,'QColor']]],
   ['yieldcurrentthread',['yieldCurrentThread',['http://qt-project.org/doc/qt-4.8/qthread.html#yieldCurrentThread',0,'QThread']]],
Index: /trunk/doc/Flair/search/all_1a.js
===================================================================
--- /trunk/doc/Flair/search/all_1a.js	(revision 34)
+++ /trunk/doc/Flair/search/all_1a.js	(revision 35)
@@ -48,4 +48,5 @@
   ['_7elayout',['~Layout',['../classflair_1_1gui_1_1_layout.html#aafea7ef30ae5a3f3d394559b0f3931b5',1,'flair::gui::Layout']]],
   ['_7elayoutposition',['~LayoutPosition',['../classflair_1_1gui_1_1_layout_position.html#abfff9b4fd6670430e8bd94440370ee49',1,'flair::gui::LayoutPosition']]],
+  ['_7elistwidget',['~ListWidget',['../classflair_1_1gui_1_1_list_widget.html#a91ec3725c2fa7f5a395c17cb8ab4bd73',1,'flair::gui::ListWidget']]],
   ['_7elowpassfilter',['~LowPassFilter',['../classflair_1_1filter_1_1_low_pass_filter.html#a1689e35c04cb48c1e2086c1eb8d427d8',1,'flair::filter::LowPassFilter']]],
   ['_7emap',['~Map',['../classflair_1_1gui_1_1_map.html#aa21f6a304ba8a128ae30db59612c95c7',1,'flair::gui::Map']]],
Index: /trunk/doc/Flair/search/all_6.js
===================================================================
--- /trunk/doc/Flair/search/all_6.js	(revision 34)
+++ /trunk/doc/Flair/search/all_6.js	(revision 35)
@@ -223,5 +223,5 @@
   ['glyphindexesforstring',['glyphIndexesForString',['http://qt-project.org/doc/qt-4.8/qrawfont.html#glyphIndexesForString',0,'QRawFont']]],
   ['glyphmetrics',['GlyphMetrics',['http://qt-project.org/doc/qt-4.8/qabstractfontengine-glyphmetrics.html',0,'QAbstractFontEngine']]],
-  ['glyphmetrics',['GlyphMetrics',['http://qt-project.org/doc/qt-4.8/qabstractfontengine-glyphmetrics.html#GlyphMetrics',0,'QAbstractFontEngine::GlyphMetrics::GlyphMetrics()'],['http://qt-project.org/doc/qt-4.8/qabstractfontengine.html#glyphMetrics',0,'QAbstractFontEngine::glyphMetrics()']]],
+  ['glyphmetrics',['glyphMetrics',['http://qt-project.org/doc/qt-4.8/qabstractfontengine.html#glyphMetrics',0,'QAbstractFontEngine::glyphMetrics()'],['http://qt-project.org/doc/qt-4.8/qabstractfontengine-glyphmetrics.html#GlyphMetrics',0,'QAbstractFontEngine::GlyphMetrics::GlyphMetrics()']]],
   ['glyphruns',['glyphRuns',['http://qt-project.org/doc/qt-4.8/qtextfragment.html#glyphRuns',0,'QTextFragment::glyphRuns()'],['http://qt-project.org/doc/qt-4.8/qtextlayout.html#glyphRuns',0,'QTextLayout::glyphRuns()']]],
   ['gotfocus',['gotFocus',['http://qt-project.org/doc/qt-4.8/qfocusevent.html#gotFocus',0,'QFocusEvent']]],
Index: /trunk/doc/Flair/search/classes_13.js
===================================================================
--- /trunk/doc/Flair/search/classes_13.js	(revision 34)
+++ /trunk/doc/Flair/search/classes_13.js	(revision 35)
@@ -12,9 +12,9 @@
   ['trajectorygenerator1d',['TrajectoryGenerator1D',['../classflair_1_1filter_1_1_trajectory_generator1_d.html',1,'flair::filter']]],
   ['trajectorygenerator2dcircle',['TrajectoryGenerator2DCircle',['../classflair_1_1filter_1_1_trajectory_generator2_d_circle.html',1,'flair::filter']]],
-  ['type',['Type',['../classflair_1_1core_1_1cvmatrix_1_1_type.html',1,'flair::core::cvmatrix']]],
+  ['type',['Type',['../classflair_1_1core_1_1_ahrs_data_1_1_type.html',1,'flair::core::AhrsData']]],
   ['type',['Type',['../classflair_1_1core_1_1cvimage_1_1_type.html',1,'flair::core::cvimage']]],
-  ['type',['Type',['../classflair_1_1core_1_1_ahrs_data_1_1_type.html',1,'flair::core::AhrsData']]],
+  ['type',['Type',['../classflair_1_1core_1_1_geo_coordinate_1_1_type.html',1,'flair::core::GeoCoordinate']]],
+  ['type',['Type',['../classflair_1_1core_1_1_gps_data_1_1_type.html',1,'flair::core::GpsData']]],
   ['type',['Type',['../classflair_1_1core_1_1_imu_data_1_1_type.html',1,'flair::core::ImuData']]],
-  ['type',['Type',['../classflair_1_1core_1_1_gps_data_1_1_type.html',1,'flair::core::GpsData']]],
-  ['type',['Type',['../classflair_1_1core_1_1_geo_coordinate_1_1_type.html',1,'flair::core::GeoCoordinate']]]
+  ['type',['Type',['../classflair_1_1core_1_1cvmatrix_1_1_type.html',1,'flair::core::cvmatrix']]]
 ];
Index: /trunk/doc/Flair/search/classes_b.js
===================================================================
--- /trunk/doc/Flair/search/classes_b.js	(revision 34)
+++ /trunk/doc/Flair/search/classes_b.js	(revision 35)
@@ -5,4 +5,5 @@
   ['layout',['Layout',['../classflair_1_1gui_1_1_layout.html',1,'flair::gui']]],
   ['layoutposition',['LayoutPosition',['../classflair_1_1gui_1_1_layout_position.html',1,'flair::gui']]],
+  ['listwidget',['ListWidget',['../classflair_1_1gui_1_1_list_widget.html',1,'flair::gui']]],
   ['lowpassfilter',['LowPassFilter',['../classflair_1_1filter_1_1_low_pass_filter.html',1,'flair::filter']]]
 ];
Index: /trunk/doc/Flair/search/files_a.js
===================================================================
--- /trunk/doc/Flair/search/files_a.js	(revision 34)
+++ /trunk/doc/Flair/search/files_a.js	(revision 35)
@@ -5,4 +5,5 @@
   ['layout_2eh',['Layout.h',['../_layout_8h.html',1,'']]],
   ['layoutposition_2eh',['LayoutPosition.h',['../_layout_position_8h.html',1,'']]],
+  ['listwidget_2eh',['ListWidget.h',['../_list_widget_8h.html',1,'']]],
   ['lowpassfilter_2eh',['LowPassFilter.h',['../_low_pass_filter_8h.html',1,'']]]
 ];
Index: /trunk/doc/Flair/search/functions_13.js
===================================================================
--- /trunk/doc/Flair/search/functions_13.js	(revision 34)
+++ /trunk/doc/Flair/search/functions_13.js	(revision 35)
@@ -88,5 +88,5 @@
   ['textdirection',['textDirection',['http://qt-project.org/doc/qt-4.8/qtextblock.html#textDirection',0,'QTextBlock::textDirection()'],['http://qt-project.org/doc/qt-4.8/qtextoption.html#textDirection',0,'QTextOption::textDirection()'],['http://qt-project.org/doc/qt-4.8/qprogressbar.html#textDirection-prop',0,'QProgressBar::textDirection()'],['http://qt-project.org/doc/qt-4.8/qprogressbar.html#textDirection-prop',0,'QProgressBar::textDirection() const'],['http://qt-project.org/doc/qt-4.8/qlocale.html#textDirection',0,'QLocale::textDirection()'],['http://qt-project.org/doc/qt-4.8/qtextinlineobject.html#textDirection',0,'QTextInlineObject::textDirection()']]],
   ['textechomode',['textEchoMode',['http://qt-project.org/doc/qt-4.8/qinputdialog.html#textEchoMode-prop',0,'QInputDialog']]],
-  ['textedit',['textEdit',['http://qt-project.org/doc/qt-4.8/q3syntaxhighlighter.html#textEdit',0,'Q3SyntaxHighlighter::textEdit()'],['../classflair_1_1gui_1_1_text_edit.html#acfd19e80797f61337a769ccc642d18fa',1,'flair::gui::TextEdit::TextEdit()']]],
+  ['textedit',['TextEdit',['../classflair_1_1gui_1_1_text_edit.html#acfd19e80797f61337a769ccc642d18fa',1,'flair::gui::TextEdit::TextEdit()'],['http://qt-project.org/doc/qt-4.8/q3syntaxhighlighter.html#textEdit',0,'Q3SyntaxHighlighter::textEdit()']]],
   ['textedited',['textEdited',['http://qt-project.org/doc/qt-4.8/qlineedit.html#textEdited',0,'QLineEdit']]],
   ['textelidemode',['textElideMode',['http://qt-project.org/doc/qt-4.8/qabstractitemview.html#textElideMode-prop',0,'QAbstractItemView']]],
@@ -122,5 +122,5 @@
   ['themesearchpaths',['themeSearchPaths',['http://qt-project.org/doc/qt-4.8/qicon.html#themeSearchPaths',0,'QIcon']]],
   ['thisobject',['thisObject',['http://qt-project.org/doc/qt-4.8/qscriptcontext.html#thisObject',0,'QScriptContext::thisObject()'],['http://qt-project.org/doc/qt-4.8/qscriptable.html#thisObject',0,'QScriptable::thisObject()']]],
-  ['thread',['Thread',['../classflair_1_1core_1_1_thread.html#a5ef98773d91697e162ab30b89528b007',1,'flair::core::Thread::Thread()'],['http://qt-project.org/doc/qt-4.8/qobject.html#thread',0,'QObject::thread()']]],
+  ['thread',['thread',['http://qt-project.org/doc/qt-4.8/qobject.html#thread',0,'QObject::thread()'],['../classflair_1_1core_1_1_thread.html#a5ef98773d91697e162ab30b89528b007',1,'flair::core::Thread::Thread()']]],
   ['throwerror',['throwError',['http://qt-project.org/doc/qt-4.8/qscriptcontext.html#throwError',0,'QScriptContext::throwError(Error error, const QString &amp;text)'],['http://qt-project.org/doc/qt-4.8/qscriptcontext.html#throwError-2',0,'QScriptContext::throwError(const QString &amp;text)']]],
   ['throwvalue',['throwValue',['http://qt-project.org/doc/qt-4.8/qscriptcontext.html#throwValue',0,'QScriptContext']]],
Index: /trunk/doc/Flair/search/functions_1a.js
===================================================================
--- /trunk/doc/Flair/search/functions_1a.js	(revision 34)
+++ /trunk/doc/Flair/search/functions_1a.js	(revision 35)
@@ -48,4 +48,5 @@
   ['_7elayout',['~Layout',['../classflair_1_1gui_1_1_layout.html#aafea7ef30ae5a3f3d394559b0f3931b5',1,'flair::gui::Layout']]],
   ['_7elayoutposition',['~LayoutPosition',['../classflair_1_1gui_1_1_layout_position.html#abfff9b4fd6670430e8bd94440370ee49',1,'flair::gui::LayoutPosition']]],
+  ['_7elistwidget',['~ListWidget',['../classflair_1_1gui_1_1_list_widget.html#a91ec3725c2fa7f5a395c17cb8ab4bd73',1,'flair::gui::ListWidget']]],
   ['_7elowpassfilter',['~LowPassFilter',['../classflair_1_1filter_1_1_low_pass_filter.html#a1689e35c04cb48c1e2086c1eb8d427d8',1,'flair::filter::LowPassFilter']]],
   ['_7emap',['~Map',['../classflair_1_1gui_1_1_map.html#aa21f6a304ba8a128ae30db59612c95c7',1,'flair::gui::Map']]],
Index: /trunk/doc/Flair/search/functions_6.js
===================================================================
--- /trunk/doc/Flair/search/functions_6.js	(revision 34)
+++ /trunk/doc/Flair/search/functions_6.js	(revision 35)
@@ -219,5 +219,5 @@
   ['glyphindexesforchars',['glyphIndexesForChars',['http://qt-project.org/doc/qt-4.8/qrawfont.html#glyphIndexesForChars',0,'QRawFont']]],
   ['glyphindexesforstring',['glyphIndexesForString',['http://qt-project.org/doc/qt-4.8/qrawfont.html#glyphIndexesForString',0,'QRawFont']]],
-  ['glyphmetrics',['GlyphMetrics',['http://qt-project.org/doc/qt-4.8/qabstractfontengine-glyphmetrics.html#GlyphMetrics',0,'QAbstractFontEngine::GlyphMetrics::GlyphMetrics()'],['http://qt-project.org/doc/qt-4.8/qabstractfontengine.html#glyphMetrics',0,'QAbstractFontEngine::glyphMetrics()']]],
+  ['glyphmetrics',['glyphMetrics',['http://qt-project.org/doc/qt-4.8/qabstractfontengine.html#glyphMetrics',0,'QAbstractFontEngine::glyphMetrics()'],['http://qt-project.org/doc/qt-4.8/qabstractfontengine-glyphmetrics.html#GlyphMetrics',0,'QAbstractFontEngine::GlyphMetrics::GlyphMetrics()']]],
   ['glyphruns',['glyphRuns',['http://qt-project.org/doc/qt-4.8/qtextfragment.html#glyphRuns',0,'QTextFragment::glyphRuns()'],['http://qt-project.org/doc/qt-4.8/qtextlayout.html#glyphRuns',0,'QTextLayout::glyphRuns()']]],
   ['gotfocus',['gotFocus',['http://qt-project.org/doc/qt-4.8/qfocusevent.html#gotFocus',0,'QFocusEvent']]],
